Developers
API referenceReferenceAccounts

Account - Create

Create an account for the selected business.

POST
/v1/business/{business_slug}/account/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/account/" \  -H "Content-Type: application/json" \  -d '{    "number": "string",    "name_translations": [      {        "key": "string",        "value": "string"      }    ]  }'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "number": "string",  "padded_number": 0,  "name": "string",  "name_translations": [    {      "key": "string",      "value": "string"    }  ],  "header_id": 0,  "header_path": [    "string"  ],  "description": "string",  "type": "ASS",  "default_vat_code": 1,  "default_vat_rate": 0.1,  "default_vat_rate_label": "standard",  "opening_balance": 0.1,  "is_shown": true}